- Home
- API Enriched
- Tenant And Identity
- saas
- DeactivateTenant.
DeactivateTenant.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/saas/namespaces/system/v2/tenant/deactivate';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"feedback":"example","reason":"REASON_UNKNOWN"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/saas/namespaces/system/v2/tenant/deactivate \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "feedback": "example", "reason": "REASON_UNKNOWN" }'This API mark tenant for deletion queue, after approve it will completely removed from the system. This API proxies the request to eywa’s tenant disable API.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request to deactivate the tenant.
object
Feedback from the customer related to reason of account deactivation.
Responses
Section titled “Responses”A successful response.
object
Job ID of the async job that triggered to process the tenant deactivation.
Examplegenerated
{ "job_id": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example